#include "StdAfx.h"
#include "resource.h"
#include "util.h"

BOOL CALLBACK StartDlgProc( HWND hwndDlg, // handle to dialog box
                          UINT uMsg, // message
						  WPARAM wParam, // first message parameter
						  LPARAM lParam )// second message parameter
{
	switch( uMsg )
	{
		static HWND hWndInstallButton;
		static HWND hWndUninstallButton;
		static HWND hWndInstallMessage;

		case WM_INITDIALOG:
			hWndInstallButton = GetDlgItem( hwndDlg, IDC_BUTTON_INSTALL );
			hWndUninstallButton = GetDlgItem( hwndDlg, IDC_BUTTON_UNINSTALL );
			hWndInstallMessage = GetDlgItem( hwndDlg, IDC_STATIC_BAKOMA_CHECK );
			SetWindowPos( hwndDlg, HWND_TOPMOST, 100, 100, 0, 0, SWP_NOSIZE );
			if( !IsInstalledWinTeX() && !IsInstalledWinTeXAmS() )
			{
				EnableWindow( hWndUninstallButton, FALSE );
				SetWindowText( hWndInstallMessage, "TeX for Windows̃tHg̓CXg[Ă܂B" );
			}
			else if( IsInstalledWinTeX() && !IsInstalledWinTeXAmS() )
			{
				EnableWindow( hWndUninstallButton, TRUE );
				SetWindowText( hWndInstallMessage, "WtHĝ݌o܂B" );
			}
			else if( !IsInstalledWinTeX() && IsInstalledWinTeXAmS() )
			{
				EnableWindow( hWndUninstallButton, TRUE );
				SetWindowText( hWndInstallMessage, "AMSgtHĝ݌o܂B" );
			}
			else
			{
				EnableWindow( hWndUninstallButton, TRUE );
				SetWindowText( hWndInstallMessage, "WtHgyAMSgtHgo܂B" );
			}
			return TRUE;
		case WM_COMMAND:
			switch( wParam )
			{
				case IDC_BUTTON_UNINSTALL: // "ACXg["
					EndDialog( hwndDlg, UNINSTALL );
					return TRUE;
				case IDCANCEL:
					EndDialog( hwndDlg, 0 );
					return TRUE;
			}
			break;
	}
	return FALSE; // not processed.
}
